#ifndef _LIBBMP_H
#define _LIBBMP_H

#include <stdlib.h>

#define BMP_AND        0x01
#define BMP_OR         0x02
#define BMP_XOR        0x04

#define BMP_NOERROR    0x00
#define BMP_NULLMALLOC 0x01
#define BMP_WRONGDEPTH 0x02
#define BMP_COMPRESSED 0x03

typedef struct
{
  unsigned int width, height;
  unsigned short depth;
  unsigned char *data;
} Bitmap;

Bitmap *BMP_Load     (const char *,int *);
void    BMP_Draw     (Bitmap *,int,int,int);
int     BMP_GetPixel (Bitmap *,int,int);
void    BMP_SetPixel (Bitmap *,int,int,int);
void   *BMP_GetData  (Bitmap *,int *);
Bitmap *BMP_Create   (void *,int,int,int *);
void    BMP_Save     (const char *,Bitmap *,int *);
void    BMP_Free     (Bitmap *);

#endif // _LIBBMP_H
